function vypocetman;
global v sx cx n scnsize r1 r4 pevna_cast;
%sejmi z predesleho okna hodnoty
handle=findobj('Tag','prijimac');
h_prijimac=str2num(get(handle,'String'));
handle=findobj('Tag','vysilac');
h_vysilac=str2num(get(handle,'String'));
handle=findobj('Tag','frekvence');
f=str2num(get(handle,'String'));
close;

la=300/f;%lambda
%vypocti Fresnelovy zony
r1=round(10*sqrt(la*h_prijimac*h_vysilac/(h_prijimac+h_vysilac)*1000))/10;
r2=round((r1*14.14))/10;
r3=round((r1*17.32))/10;
r4=round((r1*20))/10;
%Napln promenne pro textove zobrazeni
ftext=['Frequency  ' num2str(f) ' MHz'];
lambdatext=['Wave length  ' num2str(round(1000*la)/1000) ' m'];
vprijimac=['Distance of transmitter from obstacle  ' num2str(h_prijimac) ' km'];
vvysilac=['Distance of receiver from obstacle ' num2str(h_vysilac) ' km'];
r1text=['Diameter of 1st Fresnel zone  ' num2str(r1) ' m'];
r2text=['Diameter of 2nd Fresnel zone ' num2str(r2) ' m'];
r3text=['Diameter of 3rd Fresnel zone  ' num2str(r3) ' m'];
r4text=['Diameter of 4th Fresnel zone   ' num2str(r4) ' m'];
pevna_cast=strvcat(ftext,lambdatext,vprijimac,vvysilac,r1text,r2text,r3text,r4text);
vypocty='';
hmez=3.5*r1/sqrt(2);%mezni hodnota pro graf utlumu
v=-5;%napln pole cx a sx 1.hodnotou
n=1;%pomocne pocitadlo
fresnel;

for v=-4.975:0.025:5%napln pole cx a sx vypoctem 
   n=n+1;
   fresnel;
end;   

r=round(r1);%1.kruznice FZ
	for x=-r:1:r
       y1(x+r+1)=sqrt(r^2-x^2);
       xkruh1(x+r+1)=x;	 
   end
      
r=round(r2);%2.kruznice FZ
   for x=-r:1:r
       y2(x+r+1)=sqrt(r^2-x^2);
       xkruh2(x+r+1)=x;	 
   end
r=round(r3);%3.kruznice FZ
   for x=-r:1:r
       y3(x+r+1)=sqrt(r^2-x^2);
       xkruh3(x+r+1)=x;	 
   end
r=round(r4);%4.kruznice FZ
   for x=-r:1:r
       y4(x+r+1)=sqrt(r^2-x^2);
       xkruh4(x+r+1)=x;	 
   end
%aktivace okna
h0 = figure('Color',[0.8 0.8 0.8], ...
	'FileName','..\vypocet.m', ...
    'Renderer','Zbuffer', ...
	'MenuBar','none', ...
	'Name','Fresnel difraction 1.0', ...
	'NumberTitle','off', ...
    'Position',[scnsize(3)/2-400 scnsize(4)/2-300 800 600], ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Resize','off', ...
	'Tag','zobraz', ...
	'ToolBar','none');

%tlacitka ovladani KONEC a ZNOVU
h1 = uicontrol('Parent',h0, ...
    'BackgroundColor',[0.8 0.8 0.8], ...
    'Callback','zadanieng', ...
	'ListboxTop',0, ...
	'Position',[510 74 50 20], ...
	'String','Again', ...
	'Tag','Znovu');
h2 = uicontrol('Parent',h0, ...
    'BackgroundColor',[0.8 0.8 0.8], ...
    'Callback','close all', ...
	'ListboxTop',0, ...
	'Position',[600 74 50 20], ...
    'String','End', ...
	'Tag','Konec');

h3 = uicontrol('Parent',h0, ...
    'BackgroundColor',[0.8 0.8 0.8], ...
    'Callback','krokeng', ...
	'ListboxTop',0, ...
	'Position',[390 64 22 210], ...
    'String','Krok', ...
	'Style','slider', ...
	'Min',40, ...
	'Max',360, ...  	
    'Value',40, ...
    'Tag','posuvnik');


																%pro dalsi umistovani objektu
subplot(2,2,1)
hold on;
plot (cx,sx);% graf klothoidy a jeho nastaveni
set(gca,'YLim',[-1 1]);
set(gca,'XLim',[-1 1]);
set(gca,'DataAspectRatio',[1 1 1],...
        'PlotBoxAspectRatio',[1 1 1])

for n=-1:0.1:1%pomocne znacky v klothoide
   plot (n,.5,'k');
   plot (n,-.5,'k');
   plot (.5,n,'k');
   plot (-.5,n,'k');
end;

%stanoveni max mezi pro graf utlumu
b=sqrt((cx(360)-0.5)^2+(sx(360)-0.5)^2)/sqrt(2)*100;
sv=r1*200*0.025/sqrt(2);
hmax=sv/r1;
dbmax=8.68*log(b/100);

%nastaveni grafu utlumu
subplot(2,2,2)
    set(gca,'xlabel',text('String','H/ro1[-]'));
    set(gca,'ylabel',text('String','A [dB]'));
    set(gca,'YLim',[dbmax 3]);
    set(gca,'XLim',[-hmax hmax]);
    set(gca,'XGrid','on');
	set(gca,'YGrid','on');  
    set(gca,'PlotBoxAspectRatio',[1 1 1]);
    hold on;   
for n=40:1:360 
    b=sqrt((cx(n)-0.5)^2+(sx(n)-0.5)^2)/sqrt(2)*100;
    sv=r1*(n-200)*.025/sqrt(2);%svetlost trasy
    h=sv/r1;
    db=8.68*log(b/100);%utlum trasy
    plot(h,db);
end	


   %nastaveni grafu zakryvani zon   
subplot(2,2,3)
	set(gca,'YLim',[-r4-10 r4+10]);
    set(gca,'XLim',[-r4-10 r4+10]);
	set(gca,'PlotBoxAspectRatio',[1 1 1])
    set(gca,'XLim',[-r4-10 r4+10]);
    set(gca,'Visible','Off');
    hold on
	plot(xkruh1,y1)
	plot(xkruh1,-y1)
	plot(xkruh2,y2)
	plot(xkruh2,-y2)
	plot(xkruh3,y3)
	plot(xkruh3,-y3)
	plot(xkruh4,y4)
	plot(xkruh4,-y4)
   
   %nastaveni grafu klothoidy   
subplot(2,2,1);   
    set(gca,'xlabel',text('String','C(x)'));
    set(gca,'ylabel',text('String','S(x)'));

   
   %textovy objekt pro vypis vypoctu
h1 = uicontrol('Parent',h0, ...
    'BackgroundColor',[0.8 0.8 0.8], ...
    'ListboxTop',0, ...
    'HorizontalAlignment','left', ...
	'Position',[486 122 220 140], ...
	'String',vypocty, ...
	'Style','text', ...
	'Tag','vysledky');

nx=38;
krokeng;